Commit 85773168 authored by Yauheni Lesnikau's avatar Yauheni Lesnikau
Browse files

fix whitesource dependency issues

parent f6cbfd19
Pipeline #79081 failed with stages
in 34 minutes and 39 seconds
......@@ -17,6 +17,8 @@
<properties>
<commons-beanutils.version>1.9.4</commons-beanutils.version>
<osdu.oscorecommon.version>0.12.0-rc3</osdu.oscorecommon.version>
<spring-security-web.version>5.4.9</spring-security-web.version>
<gson.version>2.8.9</gson.version>
</properties>
<dependencies>
......@@ -61,6 +63,17 @@
<dependency>
<groupId>org.springframework.boot</groupId>
<artifactId>spring-boot-starter-security</artifactId>
<exclusions>
<exclusion>
<groupId>org.springframework.security</groupId>
<artifactId>spring-security-web</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.springframework.security</groupId>
<artifactId>spring-security-web</artifactId>
<version>${spring-security-web.version}</version>
</dependency>
<dependency>
<groupId>org.springframework.boot</groupId>
......@@ -111,7 +124,7 @@
<dependency>
<groupId>com.google.code.gson</groupId>
<artifactId>gson</artifactId>
<version>2.8.5</version>
<version>${gson.version}</version>
</dependency>
<dependency>
<groupId>com.google.http-client</groupId>
......
......@@ -26,7 +26,7 @@
<tomcat-embed-core.version>9.0.45</tomcat-embed-core.version>
<common-codec.version>1.14</common-codec.version>
<elasticsearch.version>7.8.1</elasticsearch.version>
<netty.version>4.1.51.Final</netty.version>
<netty.version>4.1.70.Final</netty.version>
<reactor-netty.version>0.8.20.RELEASE</reactor-netty.version>
<woodstox-core.version>6.2.3</woodstox-core.version>
<!-- <maven.compiler.target>1.8</maven.compiler.target>-->
......
......@@ -41,36 +41,24 @@
<nimbus-jose-jwt.version>8.2</nimbus-jose-jwt.version>
<indexer-core.version>0.13.0-SNAPSHOT</indexer-core.version>
<spring-security-jwt.version>1.1.1.RELEASE</spring-security-jwt.version>
<osdu.corelibazure.version>0.12.0-rc10</osdu.corelibazure.version>
<osdu.oscorecommon.version>0.12.0-rc3</osdu.oscorecommon.version>
<osdu.corelibazure.version>0.13.0-SNAPSHOT-6912-0</osdu.corelibazure.version>
<osdu.oscorecommon.version>0.13.0-SNAPSHOT-6912-0</osdu.oscorecommon.version>
<reactor-netty.version>0.9.12.RELEASE</reactor-netty.version>
<java-jwt.version>3.8.1</java-jwt.version>
<powermock.version>2.0.2</powermock.version>
<mockito.version>3.0.0</mockito.version>
<cobertura-maven-plugin.version>2.7</cobertura-maven-plugin.version>
<spring-security-oauth2.version>2.3.6.RELEASE</spring-security-oauth2.version>
<spring-boot.version>2.1.18.RELEASE</spring-boot.version>
<reactor-netty.version>1.0.7</reactor-netty.version>
<reactor-core.version>3.4.6</reactor-core.version>
<jackson-dataformat-xml.version>2.11.4</jackson-dataformat-xml.version>
<oauth2-oidc-sdk.version>6.5</oauth2-oidc-sdk.version>
<gson.version>2.8.9</gson.version>
<spring-core.version>5.3.12</spring-core.version>
</properties>
<dependencyManagement>
<dependencies>
<!-- Override version defined in parent's POM -->
<dependency>
<groupId>io.projectreactor.netty</groupId>
<artifactId>reactor-netty</artifactId>
<version>${reactor-netty.version}</version>
</dependency>
<dependency>
<groupId>org.springframework.boot</groupId>
<artifactId>spring-boot-dependencies</artifactId>
<version>${spring-boot.version}</version>
<type>pom</type>
<scope>import</scope>
</dependency>
<!-- Inherit managed dependencies from core-lib-azure -->
<dependency>
<groupId>org.opengroup.osdu</groupId>
......@@ -80,9 +68,9 @@
<scope>import</scope>
</dependency>
<dependency>
<groupId>org.opengroup.osdu</groupId>
<artifactId>os-core-common</artifactId>
<version>${osdu.oscorecommon.version}</version>
<groupId>org.springframework</groupId>
<artifactId>spring-core</artifactId>
<version>${spring-core.version}</version>
</dependency>
</dependencies>
</dependencyManagement>
......@@ -308,6 +296,11 @@
<artifactId>oauth2-oidc-sdk</artifactId>
<version>${oauth2-oidc-sdk.version}</version>
</dependency>
<dependency>
<groupId>com.google.code.gson</groupId>
<artifactId>gson</artifactId>
<version>${gson.version}</version>
</dependency>
</dependencies>
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment